Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.VariableContainer.Builder

    java.lang.Object
      com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
          com.google.protobuf.AbstractMessage.Builder<BuilderType>
              com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.VariableContainer.Builder>
                  org.jbpm.marshalling.impl.JBPMMessages.VariableContainer.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, JBPMMessages.VariableContainerOrBuilder

Enclosing class:
  JBPMMessages.VariableContainer

    public static final class JBPMMessages.VariableContainer.Builder

extends com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.VariableContainer.Builder>
implements JBPMMessages.VariableContainerOrBuilder

Protobuf type `org.jbpm.marshalling.VariableContainer`

Method Summary
`JBPMMessages.VariableContainer.Builder` | `addAllVariable(Iterable<? extends JBPMMessages.Variable> values)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableContainer.Builder` | `addVariable(int index, JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableContainer.Builder` | `addVariable(int index, JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableContainer.Builder` | `addVariable(JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableContainer.Builder` | `addVariable(JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.Variable.Builder` | `addVariableBuilder()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.Variable.Builder` | `addVariableBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableContainer` | `build()`
`JBPMMessages.VariableContainer` | `buildPartial()`
`JBPMMessages.VariableContainer.Builder` | `clear()`
`JBPMMessages.VariableContainer.Builder` | `clearVariable()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableContainer.Builder` | `clone()`
`JBPMMessages.VariableContainer` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
`JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.Variable.Builder` | `getVariableBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`List<JBPMMessages.Variable.Builder>` | `getVariableBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`JBPMMessages.VariableContainer.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.VariableContainer.Builder` | `mergeFrom(JBPMMessages.VariableContainer other)`
`JBPMMessages.VariableContainer.Builder` | `mergeFrom(com.google.protobuf.Message other)`
`JBPMMessages.VariableContainer.Builder` | `removeVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableContainer.Builder` | `setVariable(int index, JBPMMessages.Variable.Builder builderForValue)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
`JBPMMessages.VariableContainer.Builder` | `setVariable(int index, JBPMMessages.Variable value)` `repeated .org.jbpm.marshalling.Variable variable = 1;`

Methods inherited from class com.google.protobuf.GeneratedMessage.Builder
`addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

Methods inherited from class com.google.protobuf.AbstractMessage.Builder
`findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder
`addAll, newUninitializedMessageException`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Method Detail

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.VariableContainer.Builder>`

### clear

    public JBPMMessages.VariableContainer.Builder clear()

  Specified by:
    `clear` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clear` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clear` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.VariableContainer.Builder>`

### clone

    public JBPMMessages.VariableContainer.Builder clone()

  Specified by:
    `clone` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `clone` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `clone` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.VariableContainer.Builder>`

### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.VariableContainer.Builder>`

### getDefaultInstanceForType

    public JBPMMessages.VariableContainer getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

    public JBPMMessages.VariableContainer build()

  Specified by:
    `build` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

    public JBPMMessages.VariableContainer buildPartial()

  Specified by:
    `buildPartial` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

    public JBPMMessages.VariableContainer.Builder mergeFrom(com.google.protobuf.Message other)

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.VariableContainer.Builder>`

### mergeFrom

    public JBPMMessages.VariableContainer.Builder mergeFrom(JBPMMessages.VariableContainer other)

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<JBPMMessages.VariableContainer.Builder>`

### mergeFrom

    public JBPMMessages.VariableContainer.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

  Specified by:
    `mergeFrom` in interface `com.google.protobuf.Message.Builder`
  Specified by:
    `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
  Overrides:
    `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<JBPMMessages.VariableContainer.Builder>`
  Throws:
    `IOException`

### getVariableList

    public List<JBPMMessages.Variable> getVariableList()

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

  Specified by:
    `getVariableList` in interface `JBPMMessages.VariableContainerOrBuilder`

### getVariableCount

    public int getVariableCount()

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

  Specified by:
    `getVariableCount` in interface `JBPMMessages.VariableContainerOrBuilder`

### getVariable

    public JBPMMessages.Variable getVariable(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

  Specified by:
    `getVariable` in interface `JBPMMessages.VariableContainerOrBuilder`

### setVariable

    public JBPMMessages.VariableContainer.Builder setVariable(int index,
                                                              JBPMMessages.Variable value)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### setVariable

    public JBPMMessages.VariableContainer.Builder setVariable(int index,
                                                              JBPMMessages.Variable.Builder builderForValue)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### addVariable

    public JBPMMessages.VariableContainer.Builder addVariable(JBPMMessages.Variable value)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### addVariable

    public JBPMMessages.VariableContainer.Builder addVariable(int index,
                                                              JBPMMessages.Variable value)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### addVariable

    public JBPMMessages.VariableContainer.Builder addVariable(JBPMMessages.Variable.Builder builderForValue)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### addVariable

    public JBPMMessages.VariableContainer.Builder addVariable(int index,
                                                              JBPMMessages.Variable.Builder builderForValue)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### addAllVariable

    public JBPMMessages.VariableContainer.Builder addAllVariable(Iterable<? extends JBPMMessages.Variable> values)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### clearVariable

    public JBPMMessages.VariableContainer.Builder clearVariable()

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### removeVariable

    public JBPMMessages.VariableContainer.Builder removeVariable(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### getVariableBuilder

    public JBPMMessages.Variable.Builder getVariableBuilder(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### getVariableOrBuilder

    public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

  Specified by:
    `getVariableOrBuilder` in interface `JBPMMessages.VariableContainerOrBuilder`

### getVariableOrBuilderList

    public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

  Specified by:
    `getVariableOrBuilderList` in interface `JBPMMessages.VariableContainerOrBuilder`

### addVariableBuilder

    public JBPMMessages.Variable.Builder addVariableBuilder()

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### addVariableBuilder

    public JBPMMessages.Variable.Builder addVariableBuilder(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

### getVariableBuilderList

    public List<JBPMMessages.Variable.Builder> getVariableBuilderList()

  `repeated .org.jbpm.marshalling.Variable variable = 1;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.